> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algoreg.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get alerts

> Retrieves all the alerts in Go!Scan engine.

## Body parameters

<ParamField body="limit" type="integer" />

<ParamField body="offset" type="integer" />

## Response body

<Tabs>
  <Tab title="200">
    <ResponseField name="items" type="AlertWithLastRevision">
      <Expandable title="properties">
        <ResponseField name="created_at" type="string" />

        <ResponseField name="customer_external_id" type="string" />

        <ResponseField name="id" type="string" />

        <ResponseField name="last_revision" type="AlertRevision">
          <Expandable title="properties">
            <ResponseField name="agent_id" type="string" />

            <ResponseField name="comment" type="string" />

            <ResponseField name="created_at" type="string" />

            <ResponseField name="customer_revision_id" type="string" />

            <ResponseField name="id" type="string" />

            <ResponseField name="profile_date" type="integer" />

            <ResponseField name="revision_number" type="integer" />

            <ResponseField name="score" type="integer">
              Overall match score between 0 and 100
            </ResponseField>

            <ResponseField name="state" type="integer" />

            <ResponseField name="top_category" type="string">
              PEP, SAN, SIP, RCA\_SIP, etc
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="profile_number" type="string" />
      </Expandable>
    </ResponseField>

    <ResponseField name="type" type="any" />
  </Tab>

  <Tab title="default">
    unexpected error

    <ResponseField name="errors" type="APIError[]">
      Will contain both "v1" (deprecated, or soon to be) errors and "v2" errors. When possible, prefer errors that are not deprecated.

      <Expandable title="properties">
        <ResponseField name="code" type="string" />

        <ResponseField name="deprecated" type="boolean" />

        <ResponseField name="message" type="string" />

        <ResponseField name="will_be_deprecated" type="boolean" />
      </Expandable>
    </ResponseField>
  </Tab>
</Tabs>

<RequestExample>
  ```json JSON
  {
    "limit": "integer",
    "offset": "integer"
  }
  ```

  ```javascript JavaScript

    const response = await fetch(
      "POST /api/v1/alerts",
      {
        method: "post",
        headers: {
          "Content-Type": "application/json",
          "Authorization": `Bearer {token}`
        },
        body: JSON.stringify({
    "limit": "integer",
    "offset": "integer"
  })
      }
    );
              
            
  ```
</RequestExample>

<ResponseExample>
  ```json 200
  {
    "items": {
      "created_at": "string",
      "customer_external_id": "string",
      "id": "string",
      "last_revision": {
        "agent_id": "string",
        "comment": "string",
        "created_at": "string",
        "customer_revision_id": "string",
        "id": "string",
        "profile_date": "integer",
        "revision_number": "integer",
        "score": "integer",
        "state": "integer",
        "top_category": "string"
      },
      "profile_number": "string"
    },
    "type": "any"
  }
  ```

  ```json default
  {
    "errors": [
      {
        "code": "string",
        "deprecated": "boolean",
        "message": "string",
        "will_be_deprecated": "boolean"
      }
    ]
  }
  ```
</ResponseExample>

<script type="application/javascript">document.body.style.opacity = 0;</script>

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/decrypt.js" />

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/text-replace.js" />
